function [fullfilename] = mkjpg(fig,pathname,filename,res)
% function [fullfilename] = mkjpg(fig,pathname,filename,res)
%
% Funktion speichert Grafik fig als jpg ab

pathname = strrep(pathname,'\','/');
filename = strrep(filename,'.jpg','');

filename = strrep(filename,'(','');
filename = strrep(filename,')','');
filename = strrep(filename,';','');
filename = strrep(filename,':','');
filename = strrep(filename,',','');
filename = strrep(filename,'.','_');
filename = strrep(filename,' ','_');

if ~strcmp(pathname(end),'/')
    pathname = [pathname,'/'];
end

fullfilename = [pathname,filename];

if ~isdir(pathname) % Falls Ordner noch angelegt werden muss
    mkdir(pathname)
end

fig.InvertHardcopy = 'off';
print(fig, '-djpeg',['-r',num2str(res)], fullfilename); % jpg erstellen

end

